netCDF::NcShort Class Reference

`#include <ncShort.h>`

Inheritance diagram for netCDF::NcShort:
[legend]

## Public Member Functions

| NcShort ()
bool | operator== (const NcShort &rhs)
| ~NcShort ()
Public Member Functions inherited from netCDF::NcType
nc_type | getId () const
std::string | getName () const
netCDF::NcGroup | getParentGroup () const
size_t | getSize () const
ncType | getTypeClass () const
std::string | getTypeClassName () const
bool | isNull () const
| NcType ()
| NcType (const NcType &rhs)
| NcType (const netCDF::NcGroup &grp, const std::string &name)
| NcType (const netCDF::NcGroup &grp, nc_type id)
| NcType (nc_type id)
bool | operator!= (const NcType &) const
bool | operator== (const NcType &) const
virtual | ~NcType ()

## Additional Inherited Members

Public Types inherited from netCDF::NcType
enum | ncType { nc_BYTE = NC_BYTE , nc_CHAR = NC_CHAR , nc_SHORT = NC_SHORT , nc_INT = NC_INT , nc_FLOAT = NC_FLOAT , nc_DOUBLE = NC_DOUBLE , nc_UBYTE = NC_UBYTE , nc_USHORT = NC_USHORT , nc_UINT = NC_UINT , nc_INT64 = NC_INT64 , nc_UINT64 = NC_UINT64 , nc_STRING = NC_STRING , nc_VLEN = NC_VLEN , nc_OPAQUE = NC_OPAQUE , nc_ENUM = NC_ENUM , nc_COMPOUND = NC_COMPOUND }
Protected Member Functions inherited from netCDF::NcType
NcType & | operator= (const NcType &rhs)
Protected Attributes inherited from netCDF::NcType
int | g_fileId
int | groupId
nc_type | myId

## Detailed Description

Class represents a netCDF atomic Short type.

## Constructor & Destructor Documentation

## ~NcShort()

NcShort::~NcShort | ( |  | ) |

destructor

## NcShort()

NcShort::NcShort | ( |  | ) |

Constructor

## Member Function Documentation

## operator==()

bool NcShort::operator== | ( | const NcShort & | rhs | ) |

equivalence operator

The documentation for this class was generated from the following files:

- ncShort.h
- ncShort.cpp